> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Login Route



## OpenAPI

````yaml /api/openapi.json post /api/auth/login
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/auth/login:
    post:
      tags:
        - auth
      summary: Login Route
      operationId: login_route_api_auth_login_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoginPayload'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LoginPayload:
      properties:
        username:
          type: string
          title: Username
        password:
          type: string
          title: Password
      type: object
      required:
        - username
        - password
      title: LoginPayload
    UserOut:
      properties:
        username:
          type: string
          title: Username
        display_name:
          type: string
          title: Display Name
        must_change_pw:
          type: boolean
          title: Must Change Pw
        permissions:
          items:
            $ref: '#/components/schemas/PermissionPair'
          type: array
          title: Permissions
          default: []
      type: object
      required:
        - username
        - display_name
        - must_change_pw
      title: UserOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PermissionPair:
      properties:
        verb:
          type: string
          title: Verb
        resource_glob:
          type: string
          title: Resource Glob
      type: object
      required:
        - verb
        - resource_glob
      title: PermissionPair
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````